<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button mbButtonType='NO_BORDER' (click)='redirectPage()'
             mbButtonSize='LARGE'
             mbButtonText="{{ 'goaManagement.common.importResult' | translate}}"
             mbButtonAvailableStyle='PRIMARY'>
  </mb-button>
</div>
<form-search-employee-component [isJob]="false" [empCode]="false" [fullName]="false" [isPosition]="false" [IsAssessmentTime]="true" [isYear]="false"
                                [isEmpCodeAndEmpName]="true" [isIOAllocation]="true" (getListSearchDataEmployee)='receiveDataEmployee($event)'
                                (isExportExcel)="exportExcel($event)" [isExport]="true" [isPropose]="true" [isClassification]="true"
                                [isOrgId]="false" [isDataId]="true" [functionCode]="functionCode"
>
</form-search-employee-component>
<div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]="true">
    <mb-table
      (changePageNum)='changePage($event)'
      [heightTable]="heightTable" [tableConfig]='tableConfig' [tableData]='listData'></mb-table>
  </mb-table-wrap>
</div>
<ng-template #IOAllocationTmpl let-isOutRateApportion='isOutRateApportion'>
    <span *ngIf="isOutRateApportion" nz-icon nzType="check" nzTheme="outline" style="color: green; font-size: 1.5rem"></span>
</ng-template>
